#pragma once

#include <thread>

namespace parallel {

template<typename Container, typename Func>
void parallel(int jobs, Container &cont, Func func) {
	// TODO: Actually run this in parallel
	for (auto &elem: cont) {
		func(elem);
	}
}

int coreCount() {
	return std::thread::hardware_concurrency();
}

}
