#pragma once

#include <string>
#include <vector>

namespace sys {

struct FileInfo {
	long mTimeSec;
	long mTimeNsec;
	bool isDir;
};

FileInfo fileInfo(const std::string &path);
bool fileExists(const std::string &path);
void mkdirp(const std::string &path);
void execute(std::vector<const char *> &args, std::string *output);

}
