#pragma once

#include <vector>
#include <string>

#include "SourceFile.h"

namespace toolchain {

void pkgFlags(const std::vector<std::string> &pkgs, std::vector<std::string> &flags);
void pkgLDLibs(const std::vector<std::string> &pkgs, std::vector<std::string> &flags);

void getDependencies(
		const std::vector<std::string> &flags,
		SourceFile::FileType type,
		const std::string &srcDir,
		const std::string &name,
		std::vector<std::string> &deps);

void compile(
		const std::vector<std::string> &flags,
		SourceFile::FileType type,
		const std::string &srcDir,
		const std::string &name,
		const std::string &outDir);

}
